Ticket #41959

Server not prepared for city getting destroyed by illness

Open Date: 2021-04-09 19:06 Last Update: 2021-04-23 18:25

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Ruleset is allowed to define illness_min_size as 1. Illness in size 1 city would result in city destruction in city_illness_strike(). Both city_illness_strike() and callers happily continue using the city pointer after it has potentially gone bad.

Ticket History (3/5 Histories)

2021-04-09 19:06 Updated by: cazfi
  • New Ticket "Server not prepared for city getting destroyed by illness" created
2021-04-10 08:23 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.5
2021-04-23 18:25 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login